﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = new IssueList().GetData();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Show Print Preview 버튼 클릭시 처리하기 - showPrintPreview_Click(sender, e)

        /// <summary>
        /// Show Print Preview 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showPrintPreview_Click(object sender, RoutedEventArgs e)
        {
            this.tableView.ShowPrintPreviewDialog(this);
        }

        #endregion
        #region Export To MS Excel 버튼 클릭시 처리하기 - exportToMSExcel_Click(sender, e)

        /// <summary>
        /// Export To MS Excel 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void exportToMSExcel_Click(object sender, RoutedEventArgs e)
        {
            this.tableView.ExportToXlsx(@"d:\grid_export.xlsx");
        }

        #endregion
    }
}